<template>
  <v-hover>
    <template v-slot:default="{ hover }">
      <v-card flat tile class="d-flex">
        <v-img
          :src="`${window.location.origin}/api/Containers/container-${id}/download/${img}`"
          class="grey lighten-2"
          :aspect-ratio="16/9"
        >
          <template v-slot:placeholder>
            <v-row
              class="fill-height ma-0"
              align="center"
              justify="center"
            >
              <v-progress-circular indeterminate color="grey lighten-5"></v-progress-circular>
            </v-row>
          </template>
        </v-img>

        <v-fade-transition>
          <v-overlay
            v-if="hover"
            absolute
            color="#10AB98"
            z-index="0"
          >
            <v-icon size="60">mdi-magnify-plus-outline</v-icon>
          </v-overlay>
        </v-fade-transition>
      </v-card>
    </template>
  </v-hover>
</template>
<script>
  export default {
    name: 'PhotoThumbnail',
    props: {
      id: Number,
      i: {},
      img: {},
    },
    data: function() {
      return {
        window: window,
      };
    },
  };
</script>
